Package fr.gouv.vitam.collect.internal.core.helpers.builders

# Class ManifestContextBuilder

java.lang.Object
fr.gouv.vitam.collect.internal.core.helpers.builders.ManifestContextBuilder

public class ManifestContextBuilder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManifestContextBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ManifestContext`
  `build()`
  `ManifestContextBuilder`
  `withAcquisitionInformation(String acquisitionInformation)`
  `ManifestContextBuilder`
  `withArchivalAgencyIdentifier(String archivalAgencyIdentifier)`
  `ManifestContextBuilder`
  `withArchivalAgreement(String archivalAgreement)`
  `ManifestContextBuilder`
  `withArchivalProfile(String archivalProfile)`
  `ManifestContextBuilder`
  `withComment(String comment)`
  `ManifestContextBuilder`
  `withLegalStatus(String legalStatus)`
  `ManifestContextBuilder`
  `withMessageIdentifier(String messageIdentifier)`
  `ManifestContextBuilder`
  `withOriginatingAgencyIdentifier(String originatingAgencyIdentifier)`
  `ManifestContextBuilder`
  `withSubmissionAgencyIdentifier(String submissionAgencyIdentifier)`
  `ManifestContextBuilder`
  `withTransferringAgencyIdentifier(String transferingAgencyIdentifier)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManifestContextBuilder

    public ManifestContextBuilder()

- ## Method Details

  - ### withArchivalAgreement

    public ManifestContextBuilder withArchivalAgreement(String archivalAgreement)

  - ### withMessageIdentifier

    public ManifestContextBuilder withMessageIdentifier(String messageIdentifier)

  - ### withArchivalAgencyIdentifier

    public ManifestContextBuilder withArchivalAgencyIdentifier(String archivalAgencyIdentifier)

  - ### withTransferringAgencyIdentifier

    public ManifestContextBuilder withTransferringAgencyIdentifier(String transferingAgencyIdentifier)

  - ### withOriginatingAgencyIdentifier

    public ManifestContextBuilder withOriginatingAgencyIdentifier(String originatingAgencyIdentifier)

  - ### withSubmissionAgencyIdentifier

    public ManifestContextBuilder withSubmissionAgencyIdentifier(String submissionAgencyIdentifier)

  - ### withArchivalProfile

    public ManifestContextBuilder withArchivalProfile(String archivalProfile)

  - ### withComment

    public ManifestContextBuilder withComment(String comment)

  - ### withAcquisitionInformation

    public ManifestContextBuilder withAcquisitionInformation(String acquisitionInformation)

  - ### withLegalStatus

    public ManifestContextBuilder withLegalStatus(String legalStatus)

  - ### build

    public ManifestContext build()